import { Select as UISelect, SelectContent, SelectItem, SelectTrigger, SelectValue } from '@/components/ui/select';

type Option = {
  value: string;
  label?: string;
};
type SelectProps = {
  options?: Option[];
  value?: string;
  placeholder?: string;
  onChange?: (value: string) => any;
};
export const Select = (props: SelectProps) => {
  const options = props.options || [];
  return (
    <UISelect onValueChange={props.onChange} value={props.value}>
      <SelectTrigger className='w-[180px]'>
        <SelectValue placeholder={props.placeholder || '请选择'} />
      </SelectTrigger>
      <SelectContent>
        {options.map((item, index) => {
          return (
            <SelectItem key={index} value={item.value}>
              {item.label}
            </SelectItem>
          );
        })}
      </SelectContent>
    </UISelect>
  );
};
